Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 278 - /usr/bin/ldd does not function and cause core dump.
Summary: /usr/bin/ldd does not function and cause core dump.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-03 18:21 UTC by kbli
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 23:02:17 UTC


Attachments (Terms of Use)

Description kbli 1998-12-03 18:21:41 UTC
Distribution: Official RedHat 5.2 for SPARC
Kernel:       2.0.35
library:      glibc-2.0.7-29
              glibc-devel-2.0.7-29
Machine:      SPARCstation 2 with 32MB RAM

How to reproduce the problem:

(1) %/usr/bin/ldd /bin/ls  (or any other dynamically
linked                               binaries)
    output:     not a dynamic executable

(2)  %dmesg | tail
    Fault: ld-linux.so.2[6090]: segfaults at 000023ac
pc=000023ac

(3) A core file was dumped in the current directory.

Comment 1 Preston Brown 1999-03-22 23:02:59 UTC
This has been fixed in RawHide with glibc 2.1.  You will be able to
get this functionality with Red Hat Linux 5.9 beta or our forthcoming
release of 6.0.


Note You need to log in before you can comment on or make changes to this bug.